Subject: Re: Summary of GPL issues.
From: [email-masked] (Fergus Henderson)

17 Feb 1997 09:05:36 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked] (Weiqi Gao)
Original-Cc: [email-masked] (gnu-win32)
In-Reply-To: <[email-masked]> from "Weiqi Gao" at Feb 16, 97 08:26:27 am
X-Mailer: ELM [version 2.4 PL24]
Original-Sender: [email-masked]

Weiqi Gao wrote:
> 
> Let me just point out that in order for Cygnus to continue developing and
> improving the cygwin32.dll library, it would be in Cygnus' best interest to
> keep the GPL licensing alternative available for all future versions of
> cygwin32.dll.  This is for two simple reasons: 1) cygwin32.dll incorporated
> patches (not only bug reports) submitted by users on this mailing list. 
> Those pieces of code might very well have an implied GPL with them.

Cygnus will only accept patches if their authors assign the copyright
to Cygnus (with possible exceptions for very small or trivial patches).

If Cygnus incorporated any non-trival code which was GPL'd and was
copyright by someone else into their code, then they could *not*
release that code under a commercial license.

-- 
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".